Agent State Summary (Basic Authentication)

This API provides a summary report of agent states for given filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

❗️

Rate Limit:

A maximum of 5 requests per minute is allowed.


👍

Note:

This API supports both POST and GET methods. Please use the appropriate method based on your use case for optimal functionality.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

Possible responses

Success response

"status": "success"

"message": {"
"AgentIncrID": "xxx",
"AgentName": "xxx",
"AgentUniqueID": "xxx",
"CallDate": "2025-09-23",
"ModeType": "Inbound",
"TotalBusyTime": "00:00:00",
"TotalDialTime": "00:00:00",
"TotalIdleTime": "00:00:05",
"TotalLoginDuration": "00:00:05",
"TotalPauseTime": "00:00:00",
"TotalWrapupTime": "00:00:00"
}

Invalid apiKey

status": "error"

"message": "userName or apiKey is Invalid

Empty apiKey

status": "error"

"message": "apiKey should not be empty

Invalid userName

status": "error"

"message": "userName or apiKey is Invalid"

Empty userName

status": "error"

message": "userName should not be empty

No data is found

"status": "error"

"message": "No Data Found

Invalid Date format

status": "error"

message": "From and To Date should be in yyyy-mm-dd HH:mm:ss Format

If fromDate is more than toDate

status": "error"

"message": "From Date Should not be Greater than To Date

If the requested data is for more than 30 days

status": "error"

"message": "Difference Between From and To Date should not be Greater than 30 Days

When All modeTypes are Invalid

status": "error"

"message": "Mode Type is Invalid

When All agentIds are Invalid

status": "error"

"message": "agentId is Invalid

Body Params
string
required

Start datetime in YYYY-MM-DD HH:MM:SS format.

string
required

End datetime in YYYY-MM-DD HH:MM:SS format.

string
required

CloudAgent account username.

string

Comma-separated list of Agent IDs to filter.

string

Comma-separated list of call modes (inbound, manual, progressive, etc.).

Headers
string
required

Available in CloudAgent admin login.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json